#include <stdio.h>

int main() {
	int wage,deduct;
	scanf("%d %d",&wage,&deduct);
	int result = wage - deduct - 5000;
	
	if(result <= 0) return 0;
	else if(0 < result && result <= 3000) printf("%.2f",result * 0.03);
	else if(3000 < result && result <= 12000) printf("%.2f",result * 0.1 - 210);
	else if(12000 < result && result <= 25000) printf("%.2f",result * 0.2 - 1410);
	else if(25000 < result && result <= 35000) printf("%.2f",result * 0.25 - 2660);
	else if(35000 < result && result <= 55000) printf("%.2f",result * 0.3 - 4410);
	else if(55000 < result && result <= 80000) printf("%.2f",result * 0.35 - 7160);
	else printf("%.2f",result * 0.45 - 15160);
	
	return 0;
}